"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openidRelyingPartyEntityMetadata = void 0;
const zod_1 = require("zod");
const utils_1 = require("./utils");
// TODO: In the wallet specification they are talking about a `openid_credential_verifier` property which is the exact same as the `openid_relying_party` how should we handle this?
/**
 *
 * {@link https://openid.net/specs/openid-federation-1_0.html#section-5.1.2-1 | openID Relying Party }
 *
 */
exports.openidRelyingPartyEntityMetadata = (0, utils_1.createEntity)({
    identifier: 'openid_relying_party',
    additionalValidation: {
        client_registration_types: zod_1.z.array(zod_1.z.union([zod_1.z.literal('automatic'), zod_1.z.literal('explicit')])),
    },
});
//# sourceMappingURL=openIdRelyingParty.js.map